Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.graph
Interface GraphTypes

    public interface GraphTypes

Field Summary
`static String` | `ARROW_ARROWHEAD`
`static String` | `ARROW_DIAMOND`
`static String` | `ARROW_SIMPLE_LINE_DRAWN`
`static String` | `ARROW_TRIANGLE`
`static String` | `DASH_DOT`
`static String` | `DASH_DOT_DOT`
`static String` | `DASHED`
`static String` | `DIAMOND`
`static String` | `DOTTED`
`static String` | `ELLIPSE`
`static String` | `FROM_SLOT`
`static String` | `GRID_CROSSES`
`static String` | `GRID_DOTS`
`static String` | `GRID_INVISIBLE`
`static String` | `GRID_LINES`
`static String` | `GRID_NO_SNAP`
`static String` | `GRID_SNAP_AFTER`
`static String` | `GRID_SNAP_DURING`
`static String` | `HEXAGON`
`static String` | `INVERTED_TRIANGLE`
`static int` | `LINE_WIDTH`
`static int` | `NODE_HEIGHT`
`static int` | `NODE_WIDTH`
`static String` | `NONE`
`static String` | `OCTAGON`
`static String` | `PENTAGON`
`static String` | `RECTANGLE`
`static String` | `RELATION_SLOT`
`static String` | `ROUNDED_RECTANGLE`
`static String` | `SOLID`
`static String` | `TO_SLOT`
`static String` | `TRIANGLE`

Field Detail

### DIAMOND

    static final String DIAMOND

See Also:
  Constant Field Values

### ELLIPSE

    static final String ELLIPSE

See Also:
  Constant Field Values

### HEXAGON

    static final String HEXAGON

See Also:
  Constant Field Values

### INVERTED_TRIANGLE

    static final String INVERTED_TRIANGLE

See Also:
  Constant Field Values

### OCTAGON

    static final String OCTAGON

See Also:
  Constant Field Values

### PENTAGON

    static final String PENTAGON

See Also:
  Constant Field Values

### RECTANGLE

    static final String RECTANGLE

See Also:
  Constant Field Values

### ROUNDED_RECTANGLE

    static final String ROUNDED_RECTANGLE

See Also:
  Constant Field Values

### TRIANGLE

    static final String TRIANGLE

See Also:
  Constant Field Values

### SOLID

    static final String SOLID

See Also:
  Constant Field Values

### DASHED

    static final String DASHED

See Also:
  Constant Field Values

### DOTTED

    static final String DOTTED

See Also:
  Constant Field Values

### DASH_DOT

    static final String DASH_DOT

See Also:
  Constant Field Values

### DASH_DOT_DOT

    static final String DASH_DOT_DOT

See Also:
  Constant Field Values

### ARROW_ARROWHEAD

    static final String ARROW_ARROWHEAD

See Also:
  Constant Field Values

### ARROW_DIAMOND

    static final String ARROW_DIAMOND

See Also:
  Constant Field Values

### ARROW_SIMPLE_LINE_DRAWN

    static final String ARROW_SIMPLE_LINE_DRAWN

See Also:
  Constant Field Values

### ARROW_TRIANGLE

    static final String ARROW_TRIANGLE

See Also:
  Constant Field Values

### RELATION_SLOT

    static final String RELATION_SLOT

See Also:
  Constant Field Values

### FROM_SLOT

    static final String FROM_SLOT

See Also:
  Constant Field Values

### TO_SLOT

    static final String TO_SLOT

See Also:
  Constant Field Values

### NONE

    static final String NONE

See Also:
  Constant Field Values

### NODE_WIDTH

    static final int NODE_WIDTH

See Also:
  Constant Field Values

### NODE_HEIGHT

    static final int NODE_HEIGHT

See Also:
  Constant Field Values

### LINE_WIDTH

    static final int LINE_WIDTH

See Also:
  Constant Field Values

### GRID_CROSSES

    static final String GRID_CROSSES

See Also:
  Constant Field Values

### GRID_INVISIBLE

    static final String GRID_INVISIBLE

See Also:
  Constant Field Values

### GRID_LINES

    static final String GRID_LINES

See Also:
  Constant Field Values

### GRID_DOTS

    static final String GRID_DOTS

See Also:
  Constant Field Values

### GRID_NO_SNAP

    static final String GRID_NO_SNAP

See Also:
  Constant Field Values

### GRID_SNAP_DURING

    static final String GRID_SNAP_DURING

See Also:
  Constant Field Values

### GRID_SNAP_AFTER

    static final String GRID_SNAP_AFTER

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request